<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($id_cli_grupos=='-'): 
    $var = '1'; 
else: 
    $var = "nom_master like '%$id_cli_grupos%'"; 
endif;

if($estado_empresa=='-'): 
    $var2 = ''; 
else: 
    $var2 = 'and activo='.$estado_empresa; 
endif;

$nro=1;
$nro_grupos=1;

//Identifico el grupo
$sqlGrupo = "SELECT id_master, nom_master, estado_master FROM cta_master WHERE $var ";
$conGrupo = $bdOut->consulta($sqlGrupo);
while($resGrupo = $bdOut->fetch_assoc($conGrupo)):
    $nom_master = utf8_encode($resGrupo['nom_master']);
    $id_master = $resGrupo['id_master'];
    $estado_master = $resGrupo['estado_master'];

    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cta WHERE id_master_fk_cta=$id_master $var2";
    $conCTA = $bdOut->consulta($sqlCTA);
    while($resCTA = $bdOut->fetch_assoc($conCTA)):
        
        $indicador=1;

        $nombre=utf8_encode($resCTA['nombre']);
        $nombre_plano=utf8_encode($resCTA['nombre_plano']);
        $nit_plano=$resCTA['nit_plano'];
        $id_master_fk_cta=$resCTA['id_master_fk_cta'];
        $id_cta=$resCTA['id_cta'];
        $comentario=utf8_encode($resCTA['comentario']);
        $modo=$resCTA['modo'];
        $activo=$resCTA['activo'];
        $fecha_creacion=$resCTA['fecha_creacion'];
        
        $array_cta[]=array('nro'=>$nro++, 'id_master_fk_cta'=>$id_master_fk_cta, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_master, 'fecha_creacion'=>$fecha_creacion, 'nombre'=>$nombre);

    endwhile;

    if($indicador == 1):

        $array_grupos[]=array('nro'=>$nro_grupos++, 'id_master'=>$id_master, 'nom_master'=>$nom_master, 'estado_master'=>$estado_master);
        $indicador=0;
        
    endif;

endwhile;

$enlace='out_listado_grupos2.php';

//Vista de la relación de datos
require("out_listado_grupos_vista.php");



?>